Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.GraphWorkspace

    java.lang.Object
      org.modeshape.graph.Graph.GraphWorkspace

All Implemented Interfaces:
  Workspace

Enclosing class:
  Graph

    @Immutable
    protected static final class Graph.GraphWorkspace

extends Object
implements Workspace

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getName()` Get the name of the workspace.
`Location` | `getRoot()` Get the root node of the workspace, which includes the `path` and any `identification properties`.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Get the name of the workspace.

  Specified by:
    `getName` in interface `Workspace`
  Returns:
    the workspace name; never null
  See Also:
    `Workspace.getName()`

### getRoot

    public Location getRoot()

  Get the root node of the workspace, which includes the `path` and any `identification properties`.

  Specified by:
    `getRoot` in interface `Workspace`
  Returns:
    the workspace's root node; never null
  See Also:
    `Workspace.getRoot()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.